<?
function MakeThumb($iname, $oname, $maxWidth, $maxHeight, $resample=true) 
{
	$arrImageSize = getimagesize($iname);
	if(count($arrImageSize))
	{
		list($width, $height, $type) = $arrImageSize;

		if($type == 3) // PNG
			$iim = imagecreatefrompng($iname);
		if($type == 2) // JPG
			$iim = imagecreatefromjpeg($iname);
		if($type == 1) // GIF // will write as PNG
			$iim = imagecreatefromgif($iname);
	
		
		$awidth = $maxWidth;
		$aheight = $maxWidth * $height / $width;
		
		$bwidth = $maxHeight * $width / $height;
		$bheight = $maxHeight;
		
		if($awidth <= $maxWidth && $aheight <= $maxHeight)
		{
			$twidth = $awidth;
			$theight = $aheight;
		}
		else
		{
			$twidth = $bwidth;
			$theight = $bheight;
		}


		$oim = ImageCreateTrueColor($twidth, $theight);

		
		if($resample)
		{
			ImageCopyResampled($oim, $iim, 0, 0, 0, 0, $twidth, $theight, $width, $height);
		}
		else
		{
			ImageCopyResized($oim, $iim, 0, 0, 0, 0, $twidth, $theight, $width, $height);
		}


		//Image Types
		//1 = GIF, 2 = JPG, 3 = PNG, 4 = SWF, 5 = PSD, 6 = BMP, 7 = TIFF(intel byte order), 8 = TIFF(motorola byte order), 9 = JPC, 10 = JP2, 11 = JPX, 12 = JB2, 13 = SWC, 14 = IFF, 15 = WBMP, 16 = XBM. 

		imageinterlace($oim, true);
		switch($type)
		{
			case 2:
				imagejpeg($oim, $oname, 100);
				break;
			case 1:
			case 3:				
			default:
				imagepng($oim, $oname);
				break;
		}

		return true;		
	}
return false;	
}

$argv = $_SERVER["argv"];

$iname = $argv[1];
$oname = $argv[2];
$x = $argv[3];
$y = $argv[4];

MakeThumb($iname, $oname, $x, $y);
?>
